Get experiment metrics
import requests
url = "https://{FUSION HOST}/api/experiments/{id}/metrics"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"experimentStartDate": "2023-11-07T05:31:56Z",
"experimentEndDate": "2023-11-07T05:31:56Z",
"dataStartDate": "2023-11-07T05:31:56Z",
"dataEndDate": "2023-11-07T05:31:56Z",
"runId": "<string>",
"totalRequests": 123,
"requestsInExperiment": 123,
"confidence": 123,
"results": [
{
"variantName": "<string>",
"results": [
{
"name": "<string>",
"values": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
],
"probabilityOfBeating": 123,
"p": 123,
"confidence": 123
}
],
"requests": 123,
"percentRequests": 123
}
]
}
]Get experiment metrics
Get metrics for all runs of an experiment.
GET
/
experiments
/
{id}
/
metrics
Get experiment metrics
import requests
url = "https://{FUSION HOST}/api/experiments/{id}/metrics"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"experimentStartDate": "2023-11-07T05:31:56Z",
"experimentEndDate": "2023-11-07T05:31:56Z",
"dataStartDate": "2023-11-07T05:31:56Z",
"dataEndDate": "2023-11-07T05:31:56Z",
"runId": "<string>",
"totalRequests": 123,
"requestsInExperiment": 123,
"confidence": 123,
"results": [
{
"variantName": "<string>",
"results": [
{
"name": "<string>",
"values": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
],
"probabilityOfBeating": 123,
"p": 123,
"confidence": 123
}
],
"requests": 123,
"percentRequests": 123
}
]
}
]Authorizations
Basic authAPI key
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The experiment ID.
Response
200 - */*
OK
The experiment start date and time.
The experiment end date and time.
The metric job run ID.
A confidence index expressing the confidence that the experiment results are statistically significant.
Show child attributes
Show child attributes
Was this page helpful?
⌘I